Altibase.jdbc.driver.datatype

## Interface Column

All Known Implementing Classes:
  BigIntColumn, BinaryColumn, BitColumn, BlobLocatorColumn, BooleanColumn, ByteColumn, CharColumn, ClobLocatorColumn, CommonCharVarcharColumn, DateColumn, DoubleColumn, FloatColumn, IntegerColumn, IntervalColumn, LobLocatorColumn, LongVarBinaryColumn, NCharColumn, NibbleColumn, NullColumn, NumberColumn, NumericColumn, NVarcharColumn, RealColumn, SmallIntColumn, StringPropertyColumn, TimeColumn, TimestampColumn, TinyIntColumn, VarbitColumn, VarbyteColumn, VarcharColumn

    public interface Column

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearCurrentValue()`
`void` `clearValues()` 컬럼데이터가 저장되어 있는 ArrayList를 초기화 한다.
`DynamicArray` `createTypedDynamicArray()`
`java.io.InputStream` `getAsciiStream()`
`java.math.BigDecimal` `getBigDecimal()`
`java.io.InputStream` `getBinaryStream()`
`java.sql.Blob` `getBlob()`
`boolean` `getBoolean()`
`byte` `getByte()`
`byte[]` `getBytes()`
`java.io.Reader` `getCharacterStream()`
`java.sql.Clob` `getClob()`
`int` `getColumnIndex()` 컬럼의 인덱스를 가져온다.
`ColumnInfo` `getColumnInfo()`
`java.sql.Date` `getDate()`
`java.sql.Date` `getDate(java.util.Calendar aCalendar)`
`int` `getDBColumnType()`
`java.lang.String` `getDBColumnTypeName()`
`void` `getDefaultColumnInfo(ColumnInfo aInfo)`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`long` `getLong()`
`java.util.Set<java.lang.Integer>` `getMappedJDBCTypes()`
`int` `getMaxDisplaySize()`
`java.lang.Object` `getObject()`
`java.lang.String` `getObjectClassName()`
`int` `getOctetLength()` SQL/CLI 의 SQL_DESC_OCTET_LENGTH 에 대응되는 column 의 최대 길이를 반환한다.
`short` `getShort()`
`java.lang.String` `getString()`
`java.sql.Time` `getTime()`
`java.sql.Time` `getTime(java.util.Calendar aCalendar)`
`java.sql.Timestamp` `getTimestamp()`
`java.sql.Timestamp` `getTimestamp(java.util.Calendar aCalendar)`
`boolean` `isArrayCompatible(DynamicArray aArray)`
`boolean` `isCleared()`
`boolean` `isMappedJDBCType(int aSqlType)`
`boolean` `isNull()`
`boolean` `isNumberType()`
`void` `loadFrom(DynamicArray aArray)`
`void` `loadFrom(int aLoadIndex)` ArrayList로 부터 컬럼데이터를 읽어들인다.
`int` `prepareToWrite(CmBufferWriter aBufferWriter)` `writeTo(CmBufferWriter)`로 에 쓸 준비를 하고, 쓸 데이타의 길이를 반환한다.
`void` `readFrom(CmChannel aChannel, CmFetchResult aFetchResult)` 채널로부터 컬럼데이터를 읽어와 해당하는 인덱스의 DynamicArray에 바로 저장한다.
`void` `readParamsFrom(CmChannel aChannel)`
`void` `setCleared(boolean aIsCleared)`
`void` `setColumnIndex(int aColumnIndex)` 컬럼 인덱스를 셋팅한다.
`void` `setColumnInfo(ColumnInfo aInfo)`
`void` `setMaxBinaryLength(int aMaxLength)`
`void` `setValue(java.lang.Object aValue)`
`void` `storeTo()` 컬럼 데이터를 ArrayList에 저장한다.
`void` `storeTo(DynamicArray aArray)`
`void` `storeTo(ListBufferHandle aBufferWriter)` List Protocol 을 위한 ByteBuffer 에 프로토콜에서 정의한 바이너리 형태로 데이타를 쓴다.
`int` `writeTo(CmBufferWriter aBufferWriter)` ByteBuffer에 프로토콜에서 정의한 바이너리 형태로 데이타를 쓴다.

### Method Detail

#### getDBColumnType

    int getDBColumnType()

#### getMappedJDBCTypes

    java.util.Set<java.lang.Integer> getMappedJDBCTypes()

#### isMappedJDBCType

    boolean isMappedJDBCType(int aSqlType)

#### getDBColumnTypeName

    java.lang.String getDBColumnTypeName()

#### getObjectClassName

    java.lang.String getObjectClassName()

#### getMaxDisplaySize

    int getMaxDisplaySize()

#### getOctetLength

    int getOctetLength()

SQL/CLI 의 SQL_DESC_OCTET_LENGTH 에 대응되는 column 의 최대 길이를 반환한다.

#### createTypedDynamicArray

    DynamicArray createTypedDynamicArray()

#### isArrayCompatible

    boolean isArrayCompatible(DynamicArray aArray)

#### storeTo

    void storeTo(DynamicArray aArray)

#### storeTo

    void storeTo(ListBufferHandle aBufferWriter)
          throws java.sql.SQLException

List Protocol 을 위한 ByteBuffer 에 프로토콜에서 정의한 바이너리 형태로 데이타를 쓴다.

Parameters:
  `aBufferWriter` - 데이타를 쓸 ByteBuffer Writer
Throws:
  `java.sql.SQLException` - 데이타 전송에 실패했을 경우

#### prepareToWrite

    int prepareToWrite(CmBufferWriter aBufferWriter)
                throws java.sql.SQLException

`writeTo(CmBufferWriter)`로 에 쓸 준비를 하고, 쓸 데이타의 길이를 반환한다.

Parameters:
  `aBufferWriter` - 데이타를 쓸 ByteBuffer Writer
Returns:
  쓸 데이타의 바이트 길이
Throws:
  `java.sql.SQLException` - 쓸 데이타를 준비하는데 실패했을 경우

#### writeTo

    int writeTo(CmBufferWriter aBufferWriter)
         throws java.sql.SQLException

ByteBuffer에 프로토콜에서 정의한 바이너리 형태로 데이타를 쓴다.

Parameters:
  `aBufferWriter` - 데이타를 쓸 ByteBuffer Writer
Returns:
  ByteBuffer에 쓴 데이타 사이즈(byte 단위)
Throws:
  `java.sql.SQLException` - 데이타 전송에 실패했을 경우

#### getDefaultColumnInfo

    void getDefaultColumnInfo(ColumnInfo aInfo)

#### isNumberType

    boolean isNumberType()

#### readFrom

    void readFrom(CmChannel aChannel,
                  CmFetchResult aFetchResult)
           throws java.sql.SQLException

채널로부터 컬럼데이터를 읽어와 해당하는 인덱스의 DynamicArray에 바로 저장한다.

Parameters:
  `aChannel` - 소켓통신을 위한 채널객체
  `aFetchResult` - DynamicArray에 대한 인터페이스를 가지고 있는 객체
Throws:
  `java.sql.SQLException` - 소켓통신시 예외가 발생한 경우

#### readParamsFrom

    void readParamsFrom(CmChannel aChannel)
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setMaxBinaryLength

    void setMaxBinaryLength(int aMaxLength)

#### loadFrom

    void loadFrom(DynamicArray aArray)

#### setColumnInfo

    void setColumnInfo(ColumnInfo aInfo)

#### getColumnInfo

    ColumnInfo getColumnInfo()

#### isNull

    boolean isNull()

#### setValue

    void setValue(java.lang.Object aValue)
           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBoolean

    boolean getBoolean()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getByte

    byte getByte()
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBytes

    byte[] getBytes()
             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getShort

    short getShort()
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getInt

    int getInt()
        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getLong

    long getLong()
          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getFloat

    float getFloat()
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDouble

    double getDouble()
              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBigDecimal

    java.math.BigDecimal getBigDecimal()
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getString

    java.lang.String getString()
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDate

    java.sql.Date getDate()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getDate

    java.sql.Date getDate(java.util.Calendar aCalendar)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTime

    java.sql.Time getTime()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTime

    java.sql.Time getTime(java.util.Calendar aCalendar)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTimestamp

    java.sql.Timestamp getTimestamp()
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getTimestamp

    java.sql.Timestamp getTimestamp(java.util.Calendar aCalendar)
                             throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getAsciiStream

    java.io.InputStream getAsciiStream()
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBinaryStream

    java.io.InputStream getBinaryStream()
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getCharacterStream

    java.io.Reader getCharacterStream()
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getBlob

    java.sql.Blob getBlob()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getClob

    java.sql.Clob getClob()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getObject

    java.lang.Object getObject()
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setColumnIndex

    void setColumnIndex(int aColumnIndex)

컬럼 인덱스를 셋팅한다.

Parameters:
  `aColumnIndex` - 컬럼 인덱스

#### getColumnIndex

    int getColumnIndex()

컬럼의 인덱스를 가져온다.

Returns:
  컬럼 인덱스

#### storeTo

    void storeTo()

컬럼 데이터를 ArrayList에 저장한다.

#### loadFrom

    void loadFrom(int aLoadIndex)

ArrayList로 부터 컬럼데이터를 읽어들인다.

Parameters:
  `aLoadIndex` -

#### clearValues

    void clearValues()

컬럼데이터가 저장되어 있는 ArrayList를 초기화 한다.

#### clearCurrentValue

    void clearCurrentValue()

#### isCleared

    boolean isCleared()

#### setCleared

    void setCleared(boolean aIsCleared)